curl --request POST \
--url https://api.trieve.ai/api/topic \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TR-Dataset: <tr-dataset>' \
--data '
{
"owner_id": "<string>",
"first_user_message": "<string>",
"metadata": "<unknown>",
"name": "<string>"
}
'import requests
url = "https://api.trieve.ai/api/topic"
payload = {
"owner_id": "<string>",
"first_user_message": "<string>",
"metadata": "<unknown>",
"name": "<string>"
}
headers = {
"TR-Dataset": "<tr-dataset>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'TR-Dataset': '<tr-dataset>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
owner_id: '<string>',
first_user_message: '<string>',
metadata: '<unknown>',
name: '<string>'
})
};
fetch('https://api.trieve.ai/api/topic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2021-01-01 00:00:00.000",
"dataset_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
"deleted": false,
"id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
"name": "Trieve",
"owner_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
"updated_at": "2021-01-01 00:00:00.000"
}{
"message": "Bad Request"
}Create Topic
Create a new chat topic. Topics are attached to a owner_id’s and act as a coordinator for conversation message history of gen-AI chat sessions. Auth’ed user or api key must have an admin or owner role for the specified dataset’s organization.
Authorizations
Headers
The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.
Body
JSON request payload to create chat topic
The owner_id of the topic. This is typically a browser fingerprint or your user's id. It is used to group topics together for a user.
The first message which will belong to the topic. The topic name is generated based on this message similar to how it works in the OpenAI chat UX if a name is not explicitly provided on the name request body key.
Metadata is any metadata you want to associate w/ the event that is created from this request
The name of the topic. If this is not provided, the topic name is generated from the first_user_message.
Was this page helpful?